| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# itexture/iproctex.h File Reference

Interface with properties common to all procedural textures. More...

`#include "csutil/scf_interface.h"`

Go to the source code of this file.

## Classes
struct | iProcTexture
| Interface to a texture factory. More...

## Detailed Description

Interface with properties common to all procedural textures.

Definition in file iproctex.h.